<template>
    <div>
        <vue-dropzone ref="myVueDropzone"
                      id="dropzone"
                      :options="dropzoneOptions">
        </vue-dropzone>
    </div>
</template>

<script>
import vue2Dropzone from 'vue2-dropzone';
import 'vue2-dropzone/dist/vue2Dropzone.min.css';

export default {
    name: "DropZoneComponent",
    props: ['reference', 'type'],
    components: {
        vueDropzone: vue2Dropzone,
    },
    data(){
        return{
            dropzoneOptions: {
                url: '/admin/images',
                dictDefaultMessage: "Arrastra tus Imagenes",
                thumbnailWidth: 300,
                thumbnailHeight: 300,
                params: {
                    reference: this.reference,
                    type: this.type,
                },
                headers: {
                    "X-CSRF-TOKEN": document.head.querySelector("[name=csrf-token]").content
                }
            }
        }
    },
}
</script>

<style scoped>
#dropzone {
    background-color: #a0a09c;
    font-family: 'Arial', sans-serif;
    border: 2px dashed #3560e2;
    border-radius: 15px;
    letter-spacing: 0.2px;
    color: #fff;
    transition: background-color .2s linear;
    padding: 40px;
    margin-bottom: 50px;
}
</style>
